/* 
Theme Name: Bextech Custom Theme
Theme URI: https://bextech.com.au
Description: Bextech custom theme is a child theme of Hello Elementor, created by Elementor team
Author: Bextech
Author URI: https://bextech.com.au
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/

.elementor-section {
  padding: 100px 20px;
}

.large-img-text-right,
.large-img-text-left {
  padding: 100px 0px;
}

.large-img-text-right .elementor-container,
.large-img-text-left .elementor-container {
  min-height: max(45vh, 500px);
}

.large-img-text-right .elementor-container > .elementor-column:last-child {
  padding-right: calc(50vw - 600px);
  padding-left: 85px;
}

.large-img-text-right
  .elementor-container
  > .elementor-column:last-child
  .elementor-widget-wrap {
  align-content: center;
  align-items: center;
}

.large-img-text-left .elementor-container > .elementor-column:first-child {
  padding-left: calc(50vw - 600px);
  padding-right: 85px;
}

.large-img-text-left
  .elementor-container
  > .elementor-column:first-child
  .elementor-widget-wrap {
  align-content: center;
  align-items: center;
}

/* featured project section */

@media screen and (min-width: 768px) {
  /*flip columns*/

  .featured-project-posts
    article:nth-child(even)
    section.elementor-section
    > div.elementor-container
    .bg-img-m {
    order: 2;
  }
}

/*flip margin*/
.featured-project-posts
  article:nth-child(even)
  section.elementor-section
  > div.elementor-container
  .project-info
  .elementor-widget-wrap {
  /*margin: 60px 114px 60px 30px;*/
  /* margin: 60px 100px 60px 140px; */
  padding: 0px 80px 0px 0px;
}

@media screen and (max-width: 1024px) {
  /*flip margin*/
  .featured-project-posts
    article:nth-child(even)
    section.elementor-section
    > div.elementor-container
    .project-info
    .elementor-widget-wrap {
    /* margin: 15px 30px 15px 15px; */
    padding: 0px 80px 0px 0px;
  }
}

@media screen and (max-width: 767px) {
  /*flip margin*/
  .featured-project-posts
    article
    section.elementor-section
    > div.elementor-container
    .project-info,
  .featured-project-posts
    article
    section.elementor-section
    > div.elementor-container
    .bg-img-m {
    /* margin: 15px; */
    width: 100%;
  }
  .featured-project-posts
    article
    section.elementor-section
    > div.elementor-container
    .project-info
    .elementor-widget-wrap,
  .featured-project-posts
    article
    section.elementor-section
    > div.elementor-container
    .bg-img-m
    .elementor-widget-wrap {
    padding: 30px 0 !important;
  }
}

@media screen and (max-width: 1024px) {
  .large-img-text-right,
  .large-img-text-left {
    padding: 60px 0px;
  }

  .large-img-text-right .elementor-container > .elementor-column:last-child {
    padding-left: 25px;
  }
  .large-img-text-left .elementor-container > .elementor-column:first-child {
    padding-right: 25px;
  }
}

@media screen and (max-width: 767px) {
  .elementor-section {
    padding: 60px 15px;
  }

  .bg-img-m,
  .large-img-text-right .elementor-container > .elementor-column:first-child,
  .large-img-text-left .elementor-container > .elementor-column:last-child {
    min-height: 400px;
  }

  .large-img-text-right .elementor-container > .elementor-column:last-child {
    padding-left: 0;
    margin-top: 15px;
  }
  .large-img-text-left .elementor-container > .elementor-column:first-child {
    padding-right: 0;
    margin-top: 15px;
  }
}
